// @flow
import React from 'react';
import { renderSnapshot } from '../../../../../utils/tests';

import type { GridItemProps } from './grid-item.proptypes';
import { GridItem } from './index';

const DEFAULT_PROPS: GridItemProps = {
  sm: 12,
  md: 6,
  lg: 4,
  xl: 3,
  offsetMd: 3,
  offsetLg: 4,
  offsetXl: 5,
};

describe('GridItem', () => {
  describe('snapshot', () => {
    it('matches the previous snapshot', () => {
      const gridItem = renderSnapshot(<GridItem {...DEFAULT_PROPS} />);
      expect(gridItem).toMatchSnapshot();
    });
  });
});
